# Git_Training

## Git cheat sheet

- git-cheat-sheet.pdf
- git-refcard.pdf
- github-git-cheat-sheet.pdf

## Git for Windows or Mac OS X

### Windows integration

Download and install Git for Windows from: [gitforwindows.org](https://gitforwindows.org/)

> Keep all options "By default" during installation

> Don't forget to launch "Git Bash" to generate your ssh keys: `ssh-keygen -t rsa`

Download and install TortoiseGit from: [tortoisegit.org](https://tortoisegit.org/)

> Select OpenSSH for the SSH Client and just put "ssh.exe"

### Mac OS X

Download a Git installer [here](https://sourceforge.net/projects/git-osx-installer/).

> Keep all options "By default" during installation

Now, open a terminal and use Git as you do on Linux...

## Tricky commands

Here are a few commands that you may not know yet, or that offer options you haven’t been aware of so far.

[Tricky commands](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/resources/tricky.md)
